import { NativeModules, NativeEventEmitter } from 'react-native';
import { EventSubscription } from '../interfaces/EventSubscription';

export class NativeEventsReceiver {
  private emitter: NativeEventEmitter;
  constructor() {
    this.emitter = new NativeEventEmitter(NativeModules.RNNEventEmitter);
  }

  registerOnAppLaunched(callback: () => void): EventSubscription {
    return this.emitter.addListener('RNN.onAppLaunched', callback);
  }

  registerComponentDidAppear(callback: (params) => void): EventSubscription {
    return this.emitter.addListener('RNN.componentDidAppear', callback);
  }

  registerComponentDidDisappear(callback: (params) => void): EventSubscription {
    return this.emitter.addListener('RNN.componentDidDisappear', callback);
  }

  registerOnNavigationButtonPressed(callback: (params) => void): EventSubscription {
    return this.emitter.addListener('RNN.onNavigationButtonPressed', callback);
  }

  public registerOnNavigationEvent(callback: (params) => void): EventSubscription {
    return this.emitter.addListener('RNN.onNavigationEvent', callback);
  }
}
